package fw.db;

import fw.db.sql.Query;

public class EntityManager {

    private String ConnectionString = "";
    private String UserName = "";
    private String Password = "";
    private String Driver = "";

    public String getDriver() {
        return Driver;
    }

    public void setDriver(String Driver) {
        this.Driver = Driver;
    }

    public void setUserName(String UserName) {
        this.UserName = UserName;
    }

    public void setConnectionString(String ConnectionString) {
        this.ConnectionString = ConnectionString;
    }

    public void setPassword(String Password) {
        this.Password = Password;
    }

    public String getPassword() {
        return Password;
    }

    public String getUserName() {
        return UserName;
    }

    public String getConnectionString() {
        return ConnectionString;

    }

    public EntityManager() {
    }

    public EntityManager(String _ConnectionString, String _UserName, String _Password, String _Driver) {
        this.ConnectionString = _ConnectionString;
        this.UserName = _UserName;
        this.Password = _Password;
        this.Driver = _Driver;
    }

    public Query createQuery(String sql, Object... params) throws Exception {
        return new Query(sql, params, this);
    }
}
