package fw.mvc;

import fw.io.File;
import java.io.IOException;
import java.util.List;
import java.util.Map;
import java.util.Set;

public interface Form {

    Object getObject(String sParamName) /*throws FormException*/;

    Map getMap(String sParamName);

    List getList(String sParamName);

    String getString(String sParamName);

    int getInteger(String sParamName);

    float getFloat(String sParamName);

    long getLong(String sParamName);

    boolean getBoolean(String sParamName);

    File getFile(String sParamName);

    Set getParamNames();

    boolean containsParam(String sParamName);
}